
Templates - Refactor #32410

Use new DSL to define settings

04/24/2021 08:37 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category:    

Target version:    

Difficulty:  Fixed in Releases: foreman_templates 10.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_t

emplates/pull/158

  

Description

Subtasks:

Refactor # 33961: Use SettingSelection to get setting values Closed

Refactor # 33962: Use setting definitions to get setting attributes Closed

Related issues:

Blocked by Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed

Associated revisions

Revision a53f715d - 01/05/2022 05:10 PM - Ondřej Ezr

Fixes #32410 - use DSL to define settings

History

#1 - 04/24/2021 08:37 PM - Ondřej Ezr

- Blocked by Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#2 - 11/23/2021 08:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman_templates/pull/158 added

#3 - 01/05/2022 05:10 PM - The Foreman Bot

- Fixed in Releases foreman_templates 10.0.0 added

#4 - 01/05/2022 06:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman_templates|a53f715d7d7f37fbaa6cc29205bf5438862aa2b9.
